----------------------------------------------------------------------------
--                         Copyright (C) 2006-200?
--                     Universidad de Cantabria, SPAIN
--                        http://www.ctr.unican.es/

--  PolyORB and RTEP Configuration

--  Basic setup for PolyORB
with PolyORB.Setup.Base;
pragma Elaborate_All (PolyORB.Setup.Base);

--  Full Tasking profile with dynamic priorities
with PolyORB.Setup.Tasking.Full_Tasking;
pragma Elaborate_All (PolyORB.Setup.Tasking.Full_Tasking);

--  ORB Policy
with PolyORB.ORB.Thread_Per_Target;
pragma Warnings (Off, PolyORB.ORB.Thread_Per_Target);
pragma Elaborate_All (PolyORB.ORB.Thread_Per_Target);

--  ORB Control Policy
with PolyORB.ORB_Controller.Ready_To_Go;
pragma Warnings (Off, PolyORB.ORB_Controller.Ready_To_Go);
pragma Elaborate_All (PolyORB.ORB_Controller.Ready_To_Go);

--  Personalities setup

-- GIOP --
with PolyORB.Binding_Data.GIOP;
pragma Elaborate_All (PolyORB.Binding_Data.GIOP);
pragma Warnings (Off, PolyORB.Binding_Data.GIOP);

--  RTEP Personality
with PolyORB.Setup.RTEP_MAC;
pragma Elaborate_All (PolyORB.Setup.RTEP_MAC);
pragma Warnings (Off, PolyORB.Setup.RTEP_MAC);

with PolyORB.Binding_Data.GIOP.RTEP_MAC;
pragma Elaborate_All (PolyORB.Binding_Data.GIOP.RTEP_MAC);
pragma Warnings (Off, PolyORB.Binding_Data.GIOP.RTEP_MAC);

--  RATO-RTEP
with PolyORB.Transport.RTEP_Common.RATO_RTEP_MAC;
pragma Elaborate_All (PolyORB.Transport.RTEP_Common.RATO_RTEP_MAC);

--  System Configuration
with Configuration_File;

package body Client_Configuration is
begin

   --  Check no threads are internally created by PolyORB
   Configuration_File.Num_Threads_In_Pool := 0;

   --  Naming service (not used for now)
   Configuration_File.Naming_Service_IOR :=
      new String'("IOR:010101002b00000049444c3a6" & 
"f6d672e6f72672f436f734e616d696e672f4e616d696e67436f6e746578744578743a312e300"
                  & 
"00001000000000400005c0000000101020002000200270000004e616d65536572766963652f3"
                  & 
"030303030303032346646303030303030303038303030303030300001000000010000001c000"
                  & 
"00001000000010001000000000000010100020000000101010002010100");

end Client_Configuration;
